/*******************************************************************************
 * Copyright (c) 2024, Skeyes (on behalf of FABEC) and Nilacandi
 * All rights reserved.
 *
 * This source code is licensed under the license found in the
 * LICENSE.txt file in the root directory of this source tree.
 *******************************************************************************/
/**
 * NOTE: This class is auto generated by the swagger code generator program (3.0.36).
 * https://github.com/swagger-api/swagger-codegen Do not edit the class manually.
 */
package aero.facilis.validator.api;

import java.util.UUID;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import aero.facilis.validator.exception.UserException;
import io.swagger.annotations.Api;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.enums.ParameterIn;
import io.swagger.v3.oas.annotations.media.Content;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.responses.ApiResponse;
import io.swagger.v3.oas.annotations.responses.ApiResponses;
import io.swagger.v3.oas.annotations.security.SecurityRequirement;

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.SpringCodegen",
    date = "2022-12-16T07:05:00.434Z[GMT]")
@Validated
@Api(tags = "Status")
public interface StatusApi {

  @Operation(summary = "Get Validation Status",
      description = "Returns the status of the validation task and any validation messages received so far.",
      security = {@SecurityRequirement(name = "BearerAuth")}, tags = {})
  @ApiResponses(value = {@ApiResponse(responseCode = "200",
      description = "The status of the validation task and any validation messages received so far.",
      content = @Content(mediaType = "application/json",
          schema = @Schema(implementation = Object.class)))})
  @RequestMapping(value = "/status/{taskId}", produces = {"application/json"},
      method = RequestMethod.GET)
  ResponseEntity<Object> getStatus(@Parameter(in = ParameterIn.PATH, description = "",
      required = true, schema = @Schema()) @PathVariable("taskId") UUID taskId)
      throws UserException;

}
